POST
/api/v1/batch/address/createBatch Create Sub-addresses
Generate multiple deposit addresses on a specified blockchain in one request. Quantity range: 1-100.
Rate limit: 1000 requests/minute
TON and XRP do not support creating addresses via API requests. Create them manually in the client. See Create Sub-address.
Request
Request Body
required
application/jsonnoncestringrequired6-character random string.
timestampinteger<int64>requiredTimestamp.
signstringrequiredSignature string.
pidinteger<int64>requiredProject ID.
chain_idstringrequiredMain chain identifier.
numberstringrequiredNumber of addresses to create. The value must be between 1 and 100, inclusive.
aliasstringDisplay name. If provided, the length must be 1-40 characters.
callback_urlstringCallback URL. When this address receives funds, Cregis sends a transaction callback notification to the corresponding
callback_url. For callback details, see Deposit Notification.
Responses
200Successapplication/jsoncodestringResponse code.
msgstringResponse message.